Bug 588954 - fails to find and mount lvm2 on top of raid 0
fails to find and mount lvm2 on top of raid 0
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2010-05-04 18:09 EDT by psykx.out
Modified: 2011-06-27 12:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-06-27 12:05:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description psykx.out 2010-05-04 18:09:02 EDT
Description of problem:
Fedora 13 beta (and fedora 12) can install on my setup, of two disks with two partitions on each disk, the larger of the two partitions on each disk are part if a raid0 and there is a LVM2 setup of top of this.

/dev/sda1 ext2 /boot 
/dev/sda2 raid0
/dev/sdb1 ext2
/dev/sdb2 raid0

once the system is rebooted it fails with cannot find root device sleeping forever. If you use the rescue mode on the install disk all lvm2 partitions on the disk are correctly found. I had this setup working with fedora 10 and I've done multiple installs on both fc12 and fc13beta and it never works

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Set up Raid and LVM2 as configured above.
2. install from DVD disk.
3. reboot
Actual results:
mdraid fails to assemble /dev/md0, dmesg contains an error about LVM being thread locked. Root partition isn't found, start-up sleeps forever

Expected results:
Boots into working system.

Additional info:
There are some lines that seem to be added to the grub kernel config line that aren't in the menu.lst they look like they refer to RAID but I've failed to find any information on them on the net.
Comment 1 Harald Hoyer 2010-05-05 04:21:07 EDT
what is your kernel command line?
Comment 2 Harald Hoyer 2011-02-01 05:23:31 EST
Comment 3 Bug Zapper 2011-06-02 10:29:24 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 4 Bug Zapper 2011-06-27 12:05:59 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.